%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: SimulateModelOutput.m
%
% Description: Simulates the model output, using parameters
%              obtained at the end of the run. Also computes
%              the corresponding residuals.
%
% Inputs: Input signals, estimated parameters as well as the 
%         system output signals. 
%
% Outputs: Simulated output signals and corresponding residuals.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2005-08-23.
%
% Firm revision: revision 2.0, 2005-08-23.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
% Integrate 
%

% Apply an Euler forward method...

x_ms=zeros(0,N+1);
y_ms=zeros(ny,N+1);
x_ms(:,1)=x_m_0;
percentReady=0;
for t=SamplingInstances(1,1):Ts:SamplingInstances(1,N-1)
   if round(t*100/N/Ts)>percentReady
      percentReady=round(t*100/N/Ts)
   end
   k=round(t/Ts); % Sampling index into matrices
   y_ms(:,k)=hStatic_m(ny,x_ms(:,k),u(:,k),theta,allIndices);
end
